Package org.drinkless.tdlib

# Class TdApi.PollTypeQuiz

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PollType
org.drinkless.tdlib.TdApi.PollTypeQuiz

Enclosing class:
  `TdApi`

public static class TdApi.PollTypeQuiz extends TdApi.PollType
A poll in quiz mode, which has predefined correct answers.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.PollType

  `TdApi.PollType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int[]`
  `correctOptionIds`
  Increasing list of 0-based identifiers of the correct answer options; empty for a yet unanswered poll.
  `TdApi.FormattedText`
  `explanation`
  Text that is shown when the user chooses an incorrect answer or taps on the lamp icon; empty for a yet unanswered poll.
  `TdApi.MessageContent`
  `explanationMedia`
  Media that is shown when the user chooses an incorrect answer or taps on the lamp icon; may be null if none or the poll is unanswered yet.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PollTypeQuiz()`
  A poll in quiz mode, which has predefined correct answers.
  `PollTypeQuiz(int[] correctOptionIds, TdApi.FormattedText explanation, TdApi.MessageContent explanationMedia)`
  A poll in quiz mode, which has predefined correct answers.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### correctOptionIds

    public int[] correctOptionIds
    Increasing list of 0-based identifiers of the correct answer options; empty for a yet unanswered poll.

  - ### explanation

    public TdApi.FormattedText explanation
    Text that is shown when the user chooses an incorrect answer or taps on the lamp icon; empty for a yet unanswered poll.

  - ### explanationMedia

    @Nullable public TdApi.MessageContent explanationMedia
    Media that is shown when the user chooses an incorrect answer or taps on the lamp icon; may be null if none or the poll is unanswered yet. If present, currently, can be only of the types messageAnimation, messageAudio, messageDocument, messageLocation, messagePhoto, messageVenue, or messageVideo without caption.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PollTypeQuiz

    public PollTypeQuiz()
    A poll in quiz mode, which has predefined correct answers.

  - ### PollTypeQuiz

    public PollTypeQuiz(int[] correctOptionIds, TdApi.FormattedText explanation, TdApi.MessageContent explanationMedia)
    A poll in quiz mode, which has predefined correct answers.
    Parameters:
      `correctOptionIds` - Increasing list of 0-based identifiers of the correct answer options; empty for a yet unanswered poll.
      `explanation` - Text that is shown when the user chooses an incorrect answer or taps on the lamp icon; empty for a yet unanswered poll.
      `explanationMedia` - Media that is shown when the user chooses an incorrect answer or taps on the lamp icon; may be null if none or the poll is unanswered yet. If present, currently, can be only of the types messageAnimation, messageAudio, messageDocument, messageLocation, messagePhoto, messageVenue, or messageVideo without caption.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.PollType`
    Returns:
      this.CONSTRUCTOR